Bug 11849 - Incorrect rendering of PDF
Summary: Incorrect rendering of PDF
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: cairo backend (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-04 14:07 UTC by Sven Arvidsson
Modified: 2015-12-23 05:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
slow rendering pdf (463.06 KB, application/pdf)
2007-08-04 14:08 UTC, Sven Arvidsson
Details
Screenshot splash vs cairo (23.30 KB, image/png)
2007-08-05 00:44 UTC, Carlos Garcia Campos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2007-08-04 14:07:41 UTC
[ Forwarded from http://bugs.debian.org/435404 ]

The attached PDF is very slow to render in evince 0.9.0 (using poppler 0.5.4 with cairo backend). 

pdftoppm doesn't seem to have any problem with it, so I'm guessing it's related to cairo.
Comment 1 Sven Arvidsson 2007-08-04 14:08:21 UTC
Created attachment 10994 [details]
slow rendering pdf
Comment 2 Carlos Garcia Campos 2007-08-05 00:44:57 UTC
Created attachment 10996 [details]
Screenshot splash vs cairo

It's not only slow, but the output is wrong compared to splash.
Comment 3 Carlos Garcia Campos 2009-08-30 03:22:07 UTC
Changing the summary since this is not slow anymore, but the output is still wrong. 
Comment 4 Carlos Garcia Campos 2010-01-25 02:23:55 UTC
I've just tried again with poppler and cairo from git master and the output looks much better than the screenshot provided in attachment, but still wrong :-( Lines should be blue instead of black and it seems to be affected by bug #4536 too. 
Comment 5 Jason Crain 2015-12-23 05:33:15 UTC
Closing because this document looks to render properly now.  The color was fixed in bug 59179 and the line width was fixed in bug 4536.


bug/show.html.tmpl processed on May 28, 2016 at 09:51:44.
(provided by the Example extension).